Bug 30719 - ILL should provide the ability to create batch requests
Summary: ILL should provide the ability to create batch requests
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature (vote)
Assignee: Pedro Amorim
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 33716 22440 32768 33762 33786
Blocks: 34282 35082 35083 35411 35930 36130 35093 35403 35404
  Show dependency treegraph
 
Reported: 2022-05-09 11:04 UTC by Andrew Isherwood
Modified: 2024-02-19 13:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Large patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This brings a new ILL request batches feature to the staff interface, allowing staff members to create groups of requests in batches using DOIs or PubmedIDs. The feature requires at least one compatible ILL backend and at least one metadata enrichment plugin (DOI or PubmedID, or both) to be used. Current backends that support batches available: * [ReprintstDesk](https://github.com/PTFS-Europe/koha-ill-reprintsdesk) * [FreeForm](https://github.com/PTFS-Europe/koha-ill-freeform) Current metadata enrichment plugins available: * [Crossref](https://github.com/PTFS-Europe/koha-plugin-api-crossref) * [Pubmed](https://github.com/PTFS-Europe/koha-plugin-api-pubmed) **Sponsored by** *UKHSA - UK Health Security Agency* and *PTFS Europe Ltd*
Version(s) released in:
23.11.00


Attachments
Bug 30719: Batch requests minor misc improvements (4.26 KB, patch)
2022-11-28 12:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.93 KB, patch)
2022-11-28 15:50 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.40 KB, patch)
2022-11-28 15:51 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Logging of batch operations (3.33 KB, patch)
2022-11-28 15:51 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch statuses (72.10 KB, patch)
2022-11-28 15:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.93 KB, patch)
2022-11-28 15:53 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch requests minor misc improvements (4.27 KB, patch)
2022-11-28 16:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.93 KB, patch)
2022-11-28 16:26 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.40 KB, patch)
2022-11-28 16:27 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Logging of batch operations (3.33 KB, patch)
2022-11-28 16:27 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch statuses (72.10 KB, patch)
2022-11-28 16:27 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch requests minor misc improvements (4.27 KB, patch)
2022-11-28 16:28 UTC, Pedro Amorim
Details | Diff | Splinter Review
Koha 22.11.00 Rosalie is here! (1.35 KB, patch)
2022-11-28 16:49 UTC, Pedro Amorim
Details | Diff | Splinter Review
Koha 22.11.00 Rosalie is here! (1.35 KB, patch)
2022-11-28 16:59 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.98 KB, patch)
2022-11-28 17:42 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.46 KB, patch)
2022-11-28 17:42 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Logging of batch operations (3.39 KB, patch)
2022-11-28 17:42 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch statuses (72.16 KB, patch)
2022-11-28 17:42 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch requests minor misc improvements (4.32 KB, patch)
2022-11-28 17:42 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (5.68 KB, patch)
2023-01-27 16:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (8.81 KB, patch)
2023-01-31 13:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (8.83 KB, patch)
2023-01-31 13:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (10.02 KB, patch)
2023-01-31 14:30 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (17.63 KB, patch)
2023-02-01 12:14 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (19.43 KB, patch)
2023-02-03 15:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (25.68 KB, patch)
2023-03-02 16:33 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.83 KB, patch)
2023-03-08 14:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.98 KB, patch)
2023-03-08 14:20 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.83 KB, patch)
2023-03-08 14:20 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Logging of batch operations (3.39 KB, patch)
2023-03-08 14:20 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch statuses (72.16 KB, patch)
2023-03-08 14:20 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (25.68 KB, patch)
2023-03-08 14:20 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB, API & tests (42.98 KB, patch)
2023-03-08 14:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch ILL requests (89.57 KB, patch)
2023-03-08 14:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Logging of batch operations (3.39 KB, patch)
2023-03-08 14:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Batch statuses (72.16 KB, patch)
2023-03-08 14:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA Follow-up): (25.68 KB, patch)
2023-03-08 14:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.22 KB, patch)
2023-05-12 18:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (100.82 KB, patch)
2023-05-12 18:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-12 18:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-12 18:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-12 18:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.70 KB, patch)
2023-05-16 14:19 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.07 KB, patch)
2023-05-16 14:19 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-16 14:19 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-16 14:19 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-16 14:19 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.70 KB, patch)
2023-05-16 15:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.13 KB, patch)
2023-05-16 15:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-16 15:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-16 15:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-16 15:17 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.70 KB, patch)
2023-05-16 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.24 KB, patch)
2023-05-16 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-16 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-16 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-16 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.70 KB, patch)
2023-05-22 11:59 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.78 KB, patch)
2023-05-22 11:59 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-22 11:59 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-22 11:59 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-22 12:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.70 KB, patch)
2023-05-22 13:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.53 KB, patch)
2023-05-22 13:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (30.97 KB, patch)
2023-05-22 13:10 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.12 KB, patch)
2023-05-22 13:10 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.76 KB, patch)
2023-05-22 13:10 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.76 KB, patch)
2023-05-23 14:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.58 KB, patch)
2023-05-23 14:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.02 KB, patch)
2023-05-23 14:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 30719: Tests (36.18 KB, patch)
2023-05-23 14:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.82 KB, patch)
2023-05-23 14:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 30719: DB and API (17.76 KB, patch)
2023-05-24 08:46 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (101.53 KB, patch)
2023-05-24 08:46 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.02 KB, patch)
2023-05-24 08:46 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.18 KB, patch)
2023-05-24 08:46 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.82 KB, patch)
2023-05-24 08:46 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 33786: ILL requests table id (5.03 KB, patch)
2023-05-30 16:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.76 KB, patch)
2023-05-30 16:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (102.69 KB, patch)
2023-05-30 16:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.02 KB, patch)
2023-05-30 16:07 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.18 KB, patch)
2023-05-30 16:07 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.82 KB, patch)
2023-05-30 16:07 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA follow-up squash): (103.44 KB, patch)
2023-07-28 16:23 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.76 KB, patch)
2023-07-28 16:28 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (102.69 KB, patch)
2023-07-28 16:29 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.02 KB, patch)
2023-07-28 16:29 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.18 KB, patch)
2023-07-28 16:29 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.44 KB, patch)
2023-07-28 16:29 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA follow-up squash): (102.89 KB, patch)
2023-07-28 16:29 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.76 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batches (102.73 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.02 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: Tests (36.18 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.87 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) Squash: (102.69 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) c->validation fixes (3.84 KB, patch)
2023-09-08 14:09 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: DB and API (17.81 KB, patch)
2023-09-08 14:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: ILL Batches (102.79 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: ILL Batch Statuses (31.08 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: Tests (36.23 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: dbic specific, DONT PUSH (9.93 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) Squash: (102.75 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) c->validation fixes (3.90 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) Fix "Request Status" capitalization (1.18 KB, patch)
2023-09-08 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30719: Atomic update fixes (7.67 KB, patch)
2023-10-04 20:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Rename illbatches endpoint to ill/batches (17.19 KB, patch)
2023-10-09 15:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Rewrite Illbatches list endpoint (10.73 KB, patch)
2023-10-09 15:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Rewrite ill batches get endpoint (4.05 KB, patch)
2023-10-09 15:54 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Rewrite remaining ill batches endpoints (9.75 KB, patch)
2023-10-10 10:18 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Rename illbatchstatuses (17.04 KB, patch)
2023-10-10 10:47 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: (QA follow-up) Pick better column names and cleanup (35.77 KB, patch)
2023-10-11 09:22 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: (13.84 KB, patch)
2023-10-11 09:22 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: Updating remaining naming (13.87 KB, patch)
2023-10-11 14:53 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 30719: QA follow-up: DB updates (6.61 KB, patch)
2023-10-11 14:53 UTC, Pedro Amorim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2022-05-09 11:04:36 UTC
Some interlibrary loan providers, for example Reprints Desk, allow for ILL requests to be submitted in batches.

In the Reprints Desk case, a batch is created with the supplier, then requests are then submitted including the batch ID. Obviously, this workflow may differ according to supplier and these differences should be abstracted away into the supplier backend.

For core Koha, we should provide the ability for it to recognise if a given backend can process batch requests. If so, we should provide an interface for creating and manipulating batches within Koha, then submitting a batch to the supplier. It should also be possible to view all batches and the contents of a given batch.

The funding institution has defined the following workflow for creating and populating batches:

- A encapsulating "batch" is created with a name and a requesting borrower
- Requests are added to a batch via two methods:
    - In bulk:
        - A form which allows the user to paste in a collection of identifiers, such as DOI / PMID etc.
        - For each of these identifiers:
          - The request metadata should be populated via API queries to metadata suppliers, for example, PubMed API or LibKey/Browzine. This behaviour is governed by the presence of appropriate plugins.
          - (Optional) Once the metadata is populated for an item, we check for item availability via any installed ILL availability plugins
    - Individually:
        - A regular ILL request form, requests are added to the batch
Comment 1 Pedro Amorim 2022-11-28 12:54:31 UTC Comment hidden (obsolete)
Comment 2 Pedro Amorim 2022-11-28 15:50:34 UTC Comment hidden (obsolete)
Comment 3 Pedro Amorim 2022-11-28 15:51:30 UTC Comment hidden (obsolete)
Comment 4 Pedro Amorim 2022-11-28 15:51:59 UTC Comment hidden (obsolete)
Comment 5 Pedro Amorim 2022-11-28 15:52:31 UTC Comment hidden (obsolete)
Comment 6 Pedro Amorim 2022-11-28 15:53:13 UTC Comment hidden (obsolete)
Comment 7 Pedro Amorim 2022-11-28 15:54:20 UTC Comment hidden (obsolete)
Comment 8 Pedro Amorim 2022-11-28 16:06:46 UTC Comment hidden (obsolete)
Comment 9 Pedro Amorim 2022-11-28 16:26:28 UTC Comment hidden (obsolete)
Comment 10 Pedro Amorim 2022-11-28 16:27:01 UTC Comment hidden (obsolete)
Comment 11 Pedro Amorim 2022-11-28 16:27:29 UTC Comment hidden (obsolete)
Comment 12 Pedro Amorim 2022-11-28 16:27:58 UTC Comment hidden (obsolete)
Comment 13 Pedro Amorim 2022-11-28 16:28:23 UTC Comment hidden (obsolete)
Comment 14 Pedro Amorim 2022-11-28 16:39:29 UTC Comment hidden (obsolete)
Comment 15 Pedro Amorim 2022-11-28 16:49:59 UTC Comment hidden (obsolete)
Comment 16 Pedro Amorim 2022-11-28 16:59:22 UTC Comment hidden (obsolete)
Comment 17 Pedro Amorim 2022-11-28 17:42:01 UTC Comment hidden (obsolete)
Comment 18 Pedro Amorim 2022-11-28 17:42:06 UTC Comment hidden (obsolete)
Comment 19 Pedro Amorim 2022-11-28 17:42:11 UTC Comment hidden (obsolete)
Comment 20 Pedro Amorim 2022-11-28 17:42:17 UTC Comment hidden (obsolete)
Comment 21 Pedro Amorim 2022-11-28 17:42:22 UTC Comment hidden (obsolete)
Comment 22 Marcel de Rooy 2023-01-27 09:22:31 UTC
Looking at bug history, I am asking for another signoff please.
Comment 23 Martin Renvoize 2023-01-27 11:25:18 UTC
I'm asking the customer whose sponsored this work to SO. We got a bit ahead of ourselves here.
Comment 24 Pedro Amorim 2023-01-27 16:54:39 UTC Comment hidden (obsolete)
Comment 25 Pedro Amorim 2023-01-31 13:52:09 UTC Comment hidden (obsolete)
Comment 26 Pedro Amorim 2023-01-31 13:54:16 UTC Comment hidden (obsolete)
Comment 27 Pedro Amorim 2023-01-31 14:30:11 UTC Comment hidden (obsolete)
Comment 28 Pedro Amorim 2023-02-01 12:14:24 UTC Comment hidden (obsolete)
Comment 29 Pedro Amorim 2023-02-01 12:19:10 UTC
Apply patches, on ktd, preparation:
- Run dbic
- Run reset_all
- Enable ILLModule sys pref
- At least one ILL batch status needs to exist, admin -> (bottom right) Interlibrary Loan batch statuses, add that (name:NEW status:NEW)
- At least one ILL Backend with "provide_batch_requests" capability needs to exist, add ReprintsDesk backend from https://github.com/PTFS-Europe/koha-ill-reprintsdesk to kohadevbox/koha/Koha/Illbackends with name 'ReprintsDesk'
- Update backend_directory in koha-conf.xml to <backend_directory>/kohadevbox/koha/Koha/Illbackends</backend_directory>
- At least one metadata enrichment plugin needs to exist, admin -> Manage plugins add that (https://github.com/PTFS-Europe/koha-plugin-api-pubmed/releases/tag/1.1.0)
- restart_all
- Run yarn build to update CSS

Test plan:
- Go to ILL Requests admin area, click "New ILL batch request" and select ReprintsDesk
- Create new batch (insert name, cardnumber and library) and press "continue"
- Add PubMed ID, one per line (example: 23668524\n29710265) and press "Process identifiers"
- After processing is complete, click "add items to batch" and then "finish and view batch"

Verify that:
- The items requested in the batch are now illrequests in Koha, and are part of the batch that was just created
- Clicking on "Batch requests" lists all existing batches
- From the previous step, clicking on a batch name lists only the requests from that batch
- If a batch is deleted, whatever requests that were previously on that batch are not deleted (their batch_id is now NULL)
- When editing a request that is part of a batch, it's possible to change which batch the request is part of, or none.

(Optional) Test logging:
- Before doing the above, enable illlog sys pref
- Do some CRUD actions on batch requests
- Check log viewer -> module "Interlibrary loans"
- Verify that the actions performed have been logged

(Optional) Test error messaging:
- Try creating a batch with an already existing batch name, verify it doesn't create and error message shows appropriately
- Try creating a batch with a non-existent borrower cardnumber, verifiy it doesn't create the batch and error message shows appropriately

Run tests and ensure all are passing:
prove -v t/db_dependent/Illbatches.t
prove -v t/db_dependent/api/v1/illbatches.t
prove -v t/db_dependent/IllbatchStatuses.t
prove -v t/db_dependent/api/v1/illbatchstatuses.t
Comment 30 Pedro Amorim 2023-02-03 15:09:32 UTC Comment hidden (obsolete)
Comment 31 Pedro Amorim 2023-03-02 16:33:57 UTC Comment hidden (obsolete)
Comment 32 Pedro Amorim 2023-03-08 14:17:57 UTC Comment hidden (obsolete)
Comment 33 Pedro Amorim 2023-03-08 14:20:10 UTC Comment hidden (obsolete)
Comment 34 Pedro Amorim 2023-03-08 14:20:13 UTC Comment hidden (obsolete)
Comment 35 Pedro Amorim 2023-03-08 14:20:16 UTC Comment hidden (obsolete)
Comment 36 Pedro Amorim 2023-03-08 14:20:19 UTC Comment hidden (obsolete)
Comment 37 Pedro Amorim 2023-03-08 14:20:22 UTC Comment hidden (obsolete)
Comment 38 Pedro Amorim 2023-03-08 14:45:44 UTC Comment hidden (obsolete)
Comment 39 Pedro Amorim 2023-03-08 14:45:47 UTC Comment hidden (obsolete)
Comment 40 Pedro Amorim 2023-03-08 14:45:51 UTC Comment hidden (obsolete)
Comment 41 Pedro Amorim 2023-03-08 14:45:54 UTC Comment hidden (obsolete)
Comment 42 Pedro Amorim 2023-03-08 14:45:58 UTC Comment hidden (obsolete)
Comment 43 Pedro Amorim 2023-03-08 15:10:35 UTC Comment hidden (obsolete)
Comment 44 Pedro Amorim 2023-05-05 14:29:35 UTC Comment hidden (obsolete)
Comment 45 Pedro Amorim 2023-05-12 18:06:19 UTC Comment hidden (obsolete)
Comment 46 Pedro Amorim 2023-05-12 18:06:23 UTC Comment hidden (obsolete)
Comment 47 Pedro Amorim 2023-05-12 18:06:26 UTC Comment hidden (obsolete)
Comment 48 Pedro Amorim 2023-05-12 18:06:29 UTC Comment hidden (obsolete)
Comment 49 Pedro Amorim 2023-05-12 18:06:32 UTC Comment hidden (obsolete)
Comment 50 Pedro Amorim 2023-05-12 18:08:52 UTC Comment hidden (obsolete)
Comment 51 Pedro Amorim 2023-05-16 14:19:24 UTC Comment hidden (obsolete)
Comment 52 Pedro Amorim 2023-05-16 14:19:27 UTC Comment hidden (obsolete)
Comment 53 Pedro Amorim 2023-05-16 14:19:31 UTC Comment hidden (obsolete)
Comment 54 Pedro Amorim 2023-05-16 14:19:34 UTC Comment hidden (obsolete)
Comment 55 Pedro Amorim 2023-05-16 14:19:37 UTC Comment hidden (obsolete)
Comment 56 Pedro Amorim 2023-05-16 15:17:17 UTC
Created attachment 151303 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 57 Pedro Amorim 2023-05-16 15:17:21 UTC
Created attachment 151304 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 58 Pedro Amorim 2023-05-16 15:17:24 UTC
Created attachment 151305 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 59 Pedro Amorim 2023-05-16 15:17:27 UTC
Created attachment 151306 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 60 Pedro Amorim 2023-05-16 15:17:30 UTC
Created attachment 151307 [details] [review]
Bug 30719: dbic specific, DONT PUSH
Comment 61 Pedro Amorim 2023-05-16 15:54:14 UTC
Created attachment 151308 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 62 Pedro Amorim 2023-05-16 15:54:18 UTC
Created attachment 151309 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 63 Pedro Amorim 2023-05-16 15:54:22 UTC
Created attachment 151310 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 64 Pedro Amorim 2023-05-16 15:54:25 UTC
Created attachment 151311 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 65 Pedro Amorim 2023-05-16 15:54:28 UTC
Created attachment 151312 [details] [review]
Bug 30719: dbic specific, DONT PUSH
Comment 66 Pedro Amorim 2023-05-22 11:59:48 UTC
Created attachment 151513 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 67 Pedro Amorim 2023-05-22 11:59:51 UTC
Created attachment 151514 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 68 Pedro Amorim 2023-05-22 11:59:54 UTC
Created attachment 151515 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 69 Pedro Amorim 2023-05-22 11:59:57 UTC
Created attachment 151516 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 70 Pedro Amorim 2023-05-22 12:00:00 UTC
Created attachment 151517 [details] [review]
Bug 30719: dbic specific, DONT PUSH
Comment 71 Pedro Amorim 2023-05-22 13:09:53 UTC
Created attachment 151519 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 72 Pedro Amorim 2023-05-22 13:09:57 UTC
Created attachment 151520 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 73 Pedro Amorim 2023-05-22 13:10:00 UTC
Created attachment 151521 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 74 Pedro Amorim 2023-05-22 13:10:03 UTC
Created attachment 151522 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 75 Pedro Amorim 2023-05-22 13:10:06 UTC
Created attachment 151523 [details] [review]
Bug 30719: dbic specific, DONT PUSH
Comment 76 PTFS Europe Sandboxes 2023-05-23 14:36:09 UTC
Created attachment 151571 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 77 PTFS Europe Sandboxes 2023-05-23 14:36:12 UTC
Created attachment 151572 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 78 PTFS Europe Sandboxes 2023-05-23 14:36:15 UTC
Created attachment 151573 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 79 PTFS Europe Sandboxes 2023-05-23 14:36:18 UTC
Created attachment 151574 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 80 PTFS Europe Sandboxes 2023-05-23 14:36:21 UTC
Created attachment 151575 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 81 Pedro Amorim 2023-05-24 08:46:09 UTC
Created attachment 151611 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 82 Pedro Amorim 2023-05-24 08:46:13 UTC
Created attachment 151612 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 83 Pedro Amorim 2023-05-24 08:46:16 UTC
Created attachment 151613 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 84 Pedro Amorim 2023-05-24 08:46:20 UTC
Created attachment 151614 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 85 Pedro Amorim 2023-05-24 08:46:23 UTC
Created attachment 151615 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 86 Pedro Amorim 2023-05-24 08:48:10 UTC
rebased after bug 33762
Comment 87 Pedro Amorim 2023-05-30 16:06:01 UTC Comment hidden (obsolete)
Comment 88 Pedro Amorim 2023-05-30 16:06:51 UTC
Created attachment 151805 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 89 Pedro Amorim 2023-05-30 16:06:58 UTC
Created attachment 151806 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 90 Pedro Amorim 2023-05-30 16:07:02 UTC
Created attachment 151807 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 91 Pedro Amorim 2023-05-30 16:07:05 UTC
Created attachment 151808 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 92 Pedro Amorim 2023-05-30 16:07:08 UTC
Created attachment 151809 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 93 Pedro Amorim 2023-05-30 16:08:08 UTC Comment hidden (obsolete)
Comment 94 Pedro Amorim 2023-05-30 16:08:45 UTC
rebase for bug 33786
Comment 95 Katrin Fischer 2023-06-23 12:55:10 UTC
The dependency to bug 33716 is a bit of an issue here, we need to see how to resolve that. As I signed it off I can't QA, but it will send this one to BLOCKED even if passing.

I skipped the last patch (DBIC) and ran dbic manually for testing as there was a conflict.

1) QA script

 FAIL	koha-tmpl/intranet-tmpl/prog/en/includes/ill-batch-modal.inc
   FAIL	  valid_template
		options_for_libraries: not found

 FAIL	installer/data/mysql/kohastructure.sql
   FAIL	  boolean_vs_tinyint
		WARNING - The new column (is_system) for table illbatch_statuses is using INT(1) as type, must be TINYINT(1) if it has a boolean purpose, see the SQL12 coding guideline


 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/ill/ill-requests.tt
   FAIL	  filters
		wrong_html_filter at line 669 (                                    <a href="/cgi-bin/koha/ill/ill-requests.pl?batch_id=[% request.batch.id | html %]">)

2a) Database update is not idempotent

Easy fix with our existing check methods:

DEV atomic update /kohadevbox/koha/installer/data/mysql/atomicupdate/bug_30719_add_ill_batches.pl  [11:39:04]: Bug 30719 - Add ILL batches
ERROR - {UNKNOWN}: DBI Exception: DBD::mysql::db do failed: Duplicate column name 'batch_id' at /kohadevbox/koha/C4/Installer.pm line 741

2b) Database update and kohastructure are not using COMMENT

We standardized on using COMMENT as they display in schema.koha-community.org etc. Could you please move the comments to COMMENT syntax?

3) Unit tests are failing (after running db Update and dbic)

Test Summary Report
-------------------
t/db_dependent/api/v1/ill_requests.t    (Wstat: 512 Tests: 2 Failed: 2)
  Failed tests:  1-2
  Non-zero exit status: 2
Files=5, Tests=33, 21 wallclock secs ( 0.03 usr  0.02 sys + 18.99 cusr  1.70 csys = 20.74 CPU)
Result: FAIL

4) Perltidy

It might be nice (not blocker) to run the new perltidy over the code when working on it, thinking especially of the new files. There are some small inconsistencies like spaces and such:

+use JSON qw( to_json );
+use base qw(Koha::Object);

5) FIXMEs

Koha/REST/V1/Illbatches.pm

+    #FIXME: This should be $c->objects-search
+    my @batches = Koha::Illbatches->search()->as_list;
+
+    #FIXME: Below should be coming from $c->objects accessors
+    # Get all patrons associated with all our batches

+# FIXME: This should be moved to Koha::Illbackend
+sub can_batch {

+            // TODO: need to also reset progress bar and already processed identifiers

+    // FIXME: This should be a kohaTable not KohaTable


Are these something we should change now or at least have a follow-up bug for filed?

6) API

If I understand correctly the API is not using the common/standardized terminology:

+  id:
+    type: string
+    description: Internal ILL batch identifier
Should be batch_id or maybe ill_batch_id? (compared with other API routes: hold_id, patron_id, etc.)

+  borrowernumber:
+    type: string
+    description: Borrower number of the patron of the ILL batch
Should be: patron_id

+  branchcode:
+    type: string
+    description: Branch code of the branch of the ILL batch
Should be library_id

+  branch:
+    type:
+      - object
+      - "null"
+    description: The branch associated with the batch
Should possibly be library

+  statuscode:
+    type: string
+    description: Code of the status of the ILL batch
Should probably be status_code

Similar for illbatchstatus.yaml:

id:
ill_batch_status_id ?


7a) Illbatch_statuses are not translatable

They should probably be moved to en, like we just did with the debit types and credit types too. For reporting it's nice when the description can be translated.

+++ b/installer/data/mysql/mandatory/illbatch_statuses.sql
@@ -0,0 +1,5 @@
+INSERT INTO illbatch_statuses ( name, code, is_system ) VALUES
+('New', 'NEW', 1),
+('In progress', 'IN_PROGRESS', 1),
+('Completed', 'COMPLETED', 1),
+('Unknown', 'UNKNOWN', 1);

7b) Strings can be transalted inside the .js files

We don't really need:
ill-batch-modal-strings.inc
ill-batch-table-strings.inc


This file is probably no longer needed as we can now translate strings in .js files. Not blocker, could still be moved later. It might simplify the code in koha-tmpl/intranet-tmpl/prog/js/ill-batch-modal.js quite a bit.

Also:
+    var ill_batch_item_remove = _("Are you sure you want to remove this item from the batch");

Missing question mark at the end?

7c) Avoid "building" sentences from multiple parts

+                <a href="#" aria-current="page">
+                    [% IF status.id %]
+                        Modify
+                    [% ELSE %]
+                        New
+                    [% END %] batch status
+                </a>


This will end up to be something like: %sModify%New%batch status. This is hard to read, but also harder to translate. Imaging having a language where you need to change the sequence, to be "Batch status edit". Better:

+                <a href="#" aria-current="page">
+                    [% IF status.id %]
+                        <span>Modify batch status</span>
+                    [% ELSE %]
+                        <span>New batch status</span>
+                    [% END %] 
+                </a>

The span would be to make both separate strings. The parsing looks for HTML tags. repeating the <a> inside the IF-ELSE would also work.

Also here:

+                    <h1>
+                        View ILL requests
+                        [% IF batch %]
+                        for batch "[% batch.name | html %]"
+                        [% END %]
+                    </h1>



7d) Not sure if this is translatable

I have doubts about this one here:

    <strong>[% status.is_system ? "Yes" : "No" | html %]</strong>

I think we need to verify or just move to an IF-ELSE construct.

8) Capitalization

+                <li><a href="/cgi-bin/koha/admin/ill_batch_statuses.pl">Interlibrary Loan batch statuses</a></li>

Interlibrary loan...

+  <th scope="col">Request Status</th>
Request status

<dt><a href="/cgi-bin/koha/admin/ill_batch_statuses.pl">Interlibrary Loan batch statuses</a></dt>

+    Interlibrary Loan batch statuses &rsaquo; Administration &rsaquo; Koha
+    <a href="/cgi-bin/koha/admin/ill_batch_statuses.pl">Interlibrary Loan batch statuses</a>

Maybe to a search replace for Interlibrary Loan? There are many more...


9) Terminology

+                <th scope="col">Branch</th>
Should be Library.


10) Page titles and breadcrumbs

Need updating to follow Owen's latest work using Template WRAPPER etc.

koha-tmpl/intranet-tmpl/prog/en/modules/admin/ill_batch_statuses.tt


11) Using page-section and btn-primary

This predates the staff interface redesign work and needs some touch ups for yellow main buttons and white backgrounds.

12) Null?

This looks like it might display "null" when either one is empty (unconfirmed):

+        var displayText = [data.firstname, data.surname].join(' ') + ' ( ' + data.cardnumber + ' )';
Comment 96 Pedro Amorim 2023-07-11 16:42:03 UTC
Katrin, thank you for your amazing QA.

I have 18 patches that address your observations here:
https://github.com/PTFS-Europe/koha/commits/new_30719

Please have another look and then let me know how to proceed, if there's more fixing required, should I submit all these patches here or provide a squashed version?

I did not address 11) directly because I'm not sure where exactly to apply it.

Thank you!
Comment 97 Katrin Fischer 2023-07-14 12:31:03 UTC
Sorry, but the database update doesn't work:

DEV atomic update /kohadevbox/koha/installer/data/mysql/atomicupdate/bug_30719_add_ill_batches.pl  [12:29:56]: Bug 30719 - Add ILL batches
ERROR - {UNKNOWN}: DBI Exception: DBD::mysql::db do failed: Can't create table `koha_kohadev`.`illbatches` (errno: 150 "Foreign key constraint is incorrectly formed") at /kohadevbox/koha/C4/Installer.pm line 741
Comment 98 Katrin Fischer 2023-07-14 12:31:27 UTC
I used the remote branch and did a rebase on master.
Comment 99 Pedro Amorim 2023-07-14 14:48:02 UTC
After a chat with Katrin, these are the QA points we're still missing:
- add mandatory batch statuses on the atomicupdate
- double-check description field for batch statuses
- add page section on the batch statuses list
- style "Save" button on batch status edit page
- "New ILL batch request" should be "New ill requests batch"
- Are you sure you want to remove this item from the batch should be "Are you sure you want to remove this request from the batch?"
- add requests modal - check for noExport class for the "remove" column
- batches list table - check for noExport class for the actions column
- add page-section to the ill batches list table
- perltidy

I hope to be able to finish this in the near future and comeback when that's done.
Comment 100 Katrin Fischer 2023-07-14 15:27:49 UTC
Thx for the summary Pedro, I believe we are close!
Comment 101 Pedro Amorim 2023-07-28 16:23:52 UTC
Created attachment 154046 [details] [review]
Bug 30719: (QA follow-up squash):

This is a squash of 25 QA patches located at:
    https://github.com/PTFS-Europe/koha/commits/new_30719

Bug 30719: (QA follow-up) Batch column should be hidden by default
Bug 30719: (QA follow-up) Fix wrong tt filter type
Bug 30719: (QA follow-up) Make atomicupdate idempotent
Bug 30719: (QA follow-up) Use COMMENT syntax in database files
Bug 30719: (QA follow-up) Fix tiny boolean is_system
Bug 30719: (QA follow-up) Add missing CONSTRAINT entries from kohastructure.sql to the atomicupdate file
Bug 30719: (QA follow-up) Add missing koha_object_class and
koha_objects_class methods
Bug 30719: (QA follow-up) Swap search to find
Bug 30719: (QA follow-up) Fix tests
Bug 30719: (QA follow-up) API terminology - id -> batch_id
Bug 30719: (QA follow-up) API terminology - borrowernumber -> patron_id
Bug 30719: (QA follow-up) API terminology - branchcode -> library_id
Bug 30719: (QA follow-up) Make mandatory illbatch_statuses translatable
Bug 30719: (QA follow-up) Improve translatability
Bug 30719: (QA follow-up) Fix capitalization of Interlibrary Loan
Bug 30719: (QA follow-up) Change Branch to Library in ILL batches table
Bug 30719: (QA follow-up) Add template WRAPPER to batch statuses breadrcrumbs
Bug 30719: (QA follow-up) Utilize patron_to_html function to display patron info in batches table
Bug 30719: (QA follow-up) Add mandatory batch statuses to the atomicupdate
Bug 30719: (QA follow-up) Add page-section to the batch statuses list page
Bug 30719: (QA follow-up) Style Save button on batch status edit page
Bug 30719: (QA follow-up) Add question mark to label string, rephrase new ILL batch button
Bug 30719: (QA follow-up) Add noExport class to action columns in batch list table and batch modal table
Bug 30719: (QA follow-up) Add page-section and headers to ILL batch table
Bug 30719: (QA follow-up) Perltidy
Comment 102 Pedro Amorim 2023-07-28 16:28:59 UTC
Created attachment 154047 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 103 Pedro Amorim 2023-07-28 16:29:03 UTC
Created attachment 154048 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 104 Pedro Amorim 2023-07-28 16:29:07 UTC
Created attachment 154049 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 105 Pedro Amorim 2023-07-28 16:29:11 UTC
Created attachment 154050 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 106 Pedro Amorim 2023-07-28 16:29:15 UTC
Created attachment 154051 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 107 Pedro Amorim 2023-07-28 16:29:20 UTC
Created attachment 154052 [details] [review]
Bug 30719: (QA follow-up squash):

    This is a squash of 25 QA patches located at:
    https://github.com/PTFS-Europe/koha/commits/new_30719

Bug 30719: (QA follow-up) Batch column should be hidden by default
Bug 30719: (QA follow-up) Fix wrong tt filter type
Bug 30719: (QA follow-up) Make atomicupdate idempotent
Bug 30719: (QA follow-up) Use COMMENT syntax in database files
Bug 30719: (QA follow-up) Fix tiny boolean is_system
Bug 30719: (QA follow-up) Add missing CONSTRAINT entries from kohastructure.sql to the atomicupdate file
Bug 30719: (QA follow-up) Add missing koha_object_class and
koha_objects_class methods
Bug 30719: (QA follow-up) Swap search to find
Bug 30719: (QA follow-up) Fix tests
Bug 30719: (QA follow-up) API terminology - id -> batch_id
Bug 30719: (QA follow-up) API terminology - borrowernumber -> patron_id
Bug 30719: (QA follow-up) API terminology - branchcode -> library_id
Bug 30719: (QA follow-up) Make mandatory illbatch_statuses translatable
Bug 30719: (QA follow-up) Improve translatability
Bug 30719: (QA follow-up) Fix capitalization of Interlibrary Loan
Bug 30719: (QA follow-up) Change Branch to Library in ILL batches table
Bug 30719: (QA follow-up) Add template WRAPPER to batch statuses breadrcrumbs
Bug 30719: (QA follow-up) Utilize patron_to_html function to display patron info in batches table
Bug 30719: (QA follow-up) Add mandatory batch statuses to the atomicupdate
Bug 30719: (QA follow-up) Add page-section to the batch statuses list page
Bug 30719: (QA follow-up) Style Save button on batch status edit page
Bug 30719: (QA follow-up) Add question mark to label string, rephrase new ILL batch button
Bug 30719: (QA follow-up) Add noExport class to action columns in batch list table and batch modal table
Bug 30719: (QA follow-up) Add page-section and headers to ILL batch table
Bug 30719: (QA follow-up) Perltidy
Comment 108 Pedro Amorim 2023-07-28 16:29:59 UTC
Rebased on top of master and fixed the DBIC conflict.
Katrin, all yours when you're available!

Thank you very much!
Comment 109 Pedro Amorim 2023-09-08 14:09:20 UTC
Created attachment 155421 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 110 Pedro Amorim 2023-09-08 14:09:25 UTC
Created attachment 155422 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 111 Pedro Amorim 2023-09-08 14:09:28 UTC
Created attachment 155423 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 112 Pedro Amorim 2023-09-08 14:09:32 UTC
Created attachment 155424 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 113 Pedro Amorim 2023-09-08 14:09:36 UTC
Created attachment 155425 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Comment 114 Pedro Amorim 2023-09-08 14:09:40 UTC
Created attachment 155426 [details] [review]
Bug 30719: (QA follow-up) Squash:

    This is a squash of 25 QA patches located at:
    https://github.com/PTFS-Europe/koha/commits/new_30719

Bug 30719: (QA follow-up) Batch column should be hidden by default
Bug 30719: (QA follow-up) Fix wrong tt filter type
Bug 30719: (QA follow-up) Make atomicupdate idempotent
Bug 30719: (QA follow-up) Use COMMENT syntax in database files
Bug 30719: (QA follow-up) Fix tiny boolean is_system
Bug 30719: (QA follow-up) Add missing CONSTRAINT entries from kohastructure.sql to the atomicupdate file
Bug 30719: (QA follow-up) Add missing koha_object_class and
koha_objects_class methods
Bug 30719: (QA follow-up) Swap search to find
Bug 30719: (QA follow-up) Fix tests
Bug 30719: (QA follow-up) API terminology - id -> batch_id
Bug 30719: (QA follow-up) API terminology - borrowernumber -> patron_id
Bug 30719: (QA follow-up) API terminology - branchcode -> library_id
Bug 30719: (QA follow-up) Make mandatory illbatch_statuses translatable
Bug 30719: (QA follow-up) Improve translatability
Bug 30719: (QA follow-up) Fix capitalization of Interlibrary Loan
Bug 30719: (QA follow-up) Change Branch to Library in ILL batches table
Bug 30719: (QA follow-up) Add template WRAPPER to batch statuses breadrcrumbs
Bug 30719: (QA follow-up) Utilize patron_to_html function to display patron info in batches table
Bug 30719: (QA follow-up) Add mandatory batch statuses to the atomicupdate
Bug 30719: (QA follow-up) Add page-section to the batch statuses list page
Bug 30719: (QA follow-up) Style Save button on batch status edit page
Bug 30719: (QA follow-up) Add question mark to label string, rephrase new ILL batch button
Bug 30719: (QA follow-up) Add noExport class to action columns in batch list table and batch modal table
Bug 30719: (QA follow-up) Add page-section and headers to ILL batch table
Bug 30719: (QA follow-up) Perltidy
Comment 115 Pedro Amorim 2023-09-08 14:09:43 UTC
Created attachment 155427 [details] [review]
Bug 30719: (QA follow-up) c->validation fixes
Comment 116 Katrin Fischer 2023-09-08 14:30:57 UTC
Created attachment 155428 [details] [review]
Bug 30719: DB and API

- Adds 'batch' accessor to Illrequest object
- New illbatches and illbatch_statuses tables
- New foreign key 'batch_id' in illrequests table
- Atomic update file
- Default illbatch_statuses
- Add 'add' ill_requests api method
- Add POST method in ill_requests path
- Add 'batch_id property to ill_request api definition
- Updated swagger.yml with new batches and batchstatuses endpoints

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 117 Katrin Fischer 2023-09-08 14:31:00 UTC
Created attachment 155429 [details] [review]
Bug 30719: ILL Batches

- Add batch column to requests table
- Establish if there are any availability or metadata enrichment plugins and pass that to the template
- Verify if we have any backend that can support batches, if not, don't show the option
- Updates to the ILL toolbar
- New ILL batch modal
- New Koha classes
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 118 Katrin Fischer 2023-09-08 14:31:04 UTC
Created attachment 155430 [details] [review]
Bug 30719: ILL Batch Statuses

- UI adding support for batch statuses in batch UI
- Admin UI for managing batch statuses
- API specs

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 119 Katrin Fischer 2023-09-08 14:31:07 UTC
Created attachment 155431 [details] [review]
Bug 30719: Tests

Co-authored-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 120 Katrin Fischer 2023-09-08 14:31:10 UTC
Created attachment 155432 [details] [review]
Bug 30719: dbic specific, DONT PUSH

Signed-off-by: Edith Speller <Edith.Speller@ukhsa.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 121 Katrin Fischer 2023-09-08 14:31:14 UTC
Created attachment 155433 [details] [review]
Bug 30719: (QA follow-up) Squash:

    This is a squash of 25 QA patches located at:
    https://github.com/PTFS-Europe/koha/commits/new_30719

Bug 30719: (QA follow-up) Batch column should be hidden by default
Bug 30719: (QA follow-up) Fix wrong tt filter type
Bug 30719: (QA follow-up) Make atomicupdate idempotent
Bug 30719: (QA follow-up) Use COMMENT syntax in database files
Bug 30719: (QA follow-up) Fix tiny boolean is_system
Bug 30719: (QA follow-up) Add missing CONSTRAINT entries from kohastructure.sql to the atomicupdate file
Bug 30719: (QA follow-up) Add missing koha_object_class and
koha_objects_class methods
Bug 30719: (QA follow-up) Swap search to find
Bug 30719: (QA follow-up) Fix tests
Bug 30719: (QA follow-up) API terminology - id -> batch_id
Bug 30719: (QA follow-up) API terminology - borrowernumber -> patron_id
Bug 30719: (QA follow-up) API terminology - branchcode -> library_id
Bug 30719: (QA follow-up) Make mandatory illbatch_statuses translatable
Bug 30719: (QA follow-up) Improve translatability
Bug 30719: (QA follow-up) Fix capitalization of Interlibrary Loan
Bug 30719: (QA follow-up) Change Branch to Library in ILL batches table
Bug 30719: (QA follow-up) Add template WRAPPER to batch statuses breadrcrumbs
Bug 30719: (QA follow-up) Utilize patron_to_html function to display patron info in batches table
Bug 30719: (QA follow-up) Add mandatory batch statuses to the atomicupdate
Bug 30719: (QA follow-up) Add page-section to the batch statuses list page
Bug 30719: (QA follow-up) Style Save button on batch status edit page
Bug 30719: (QA follow-up) Add question mark to label string, rephrase new ILL batch button
Bug 30719: (QA follow-up) Add noExport class to action columns in batch list table and batch modal table
Bug 30719: (QA follow-up) Add page-section and headers to ILL batch table
Bug 30719: (QA follow-up) Perltidy

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 122 Katrin Fischer 2023-09-08 14:31:17 UTC
Created attachment 155434 [details] [review]
Bug 30719: (QA follow-up) c->validation fixes

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 123 Katrin Fischer 2023-09-08 14:31:20 UTC
Created attachment 155435 [details] [review]
Bug 30719: (QA follow-up) Fix "Request Status" capitalization

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 124 Katrin Fischer 2023-09-08 14:38:13 UTC
Tortured Pedro long enough on this one ;) 

It's hard to take over someone else's code and I think we made a lot of improvements here trying to bring it closer to current standard. 

QA tools fail on tidiness (and a false positive for options_for_libraries), but are otherwise ok now. Given the size of this patch set and the age, I am willing to let that slip here. All new fiels have been perltidied.
Comment 125 Tomás Cohen Arazi 2023-10-04 20:16:19 UTC
Created attachment 156556 [details] [review]
Bug 30719: Atomic update fixes
Comment 126 Tomás Cohen Arazi 2023-10-04 20:25:25 UTC
Hi all. I know the history of this bug and am willing to overlook some things, but as-is I believe this requires some more work.

High

* The GET /illbatches endpoint is not /ill/batchess?
* Illbatches.pm is too old school. Entirely relying on fetching the whole resultset:
    #FIXME: This should be $c->objects-search
    my @batches = Koha::Illbatches->search()->as_list;
* And crafting the response manually, even the 'patron' attribute is done manually instead of an embed
* The request body needs to be manually translated into the DB model:
    my $batch = Koha::Illbatch->new($body);
 we have Koha::Illbatches->new_from_api to avoid that. But there's obviously a 
 reason it wasn't done like that.

Lower

* Table names, and column names: this is using old school naming for things. We can solve it on the API front, but even that is not entirely done.

Please let me know if there's anything I can do to help you with this.
Comment 127 Pedro Amorim 2023-10-09 15:37:20 UTC
Created attachment 156748 [details] [review]
Bug 30719: QA follow-up: Rename illbatches endpoint to ill/batches
Comment 128 Pedro Amorim 2023-10-09 15:37:23 UTC
Created attachment 156749 [details] [review]
Bug 30719: QA follow-up: Rewrite Illbatches list endpoint

Update accessors
Add +strings embed
Add x-koha-embed to batches list andpoint
Add embed to API call from the front-end
Update table to get data from _strings
Add x-koha-embed to tests
Add strings_map to Illbatch
Add to_api_mapping to Illbatch
Comment 129 Pedro Amorim 2023-10-09 15:38:25 UTC
(In reply to Tomás Cohen Arazi from comment #126)
> Hi all. I know the history of this bug and am willing to overlook some
> things, but as-is I believe this requires some more work.
> 
> High
> 
> * The GET /illbatches endpoint is not /ill/batchess?
> * Illbatches.pm is too old school. Entirely relying on fetching the whole
> resultset:
>     #FIXME: This should be $c->objects-search
>     my @batches = Koha::Illbatches->search()->as_list;
> * And crafting the response manually, even the 'patron' attribute is done
> manually instead of an embed
> * The request body needs to be manually translated into the DB model:
>     my $batch = Koha::Illbatch->new($body);
>  we have Koha::Illbatches->new_from_api to avoid that. But there's obviously
> a 
>  reason it wasn't done like that.
> 
> Lower
> 
> * Table names, and column names: this is using old school naming for things.
> We can solve it on the API front, but even that is not entirely done.
> 
> Please let me know if there's anything I can do to help you with this.

Hi Tomas, thanks for looking.
Can you please check my latest 2 patches and confirm that this is what's required?
More work will follow for the other endpoints and for illbatch statuses if so.
Comment 130 Pedro Amorim 2023-10-09 15:54:36 UTC
Created attachment 156752 [details] [review]
Bug 30719: QA follow-up: Rewrite ill batches get endpoint
Comment 131 Pedro Amorim 2023-10-10 10:18:27 UTC
Created attachment 156783 [details] [review]
Bug 30719: QA follow-up: Rewrite remaining ill batches endpoints

get, add and update rewrite
Comment 132 Pedro Amorim 2023-10-10 10:47:13 UTC
Created attachment 156785 [details] [review]
Bug 30719: QA follow-up: Rename illbatchstatuses

illbatchstatuses endpoint is now ill/batchstatuses
Comment 133 Pedro Amorim 2023-10-11 09:22:42 UTC
Created attachment 156811 [details] [review]
Bug 30719: (QA follow-up) Pick better column names and cleanup

This patch takes on normalizing the attribute names, embeds, and also
makes the whole API more kosher, in terms of using accessors for related
objects, using the standard structure for strings_map, etc.
Comment 134 Pedro Amorim 2023-10-11 09:22:46 UTC
Created attachment 156812 [details] [review]
Bug 30719: QA follow-up:

Update statuscode -> status_code on the js files
Update remaining batch_id -> ill_batch_id
Update batch object in Illrequest.pm strings_map
Comment 135 Pedro Amorim 2023-10-11 14:53:28 UTC
Created attachment 156827 [details] [review]
Bug 30719: QA follow-up: Updating remaining naming

Update statuscode -> status_code on the js files
Update remaining batch_id -> ill_batch_id
Update batch object in Illrequest.pm strings_map
Comment 136 Pedro Amorim 2023-10-11 14:53:32 UTC
Created attachment 156828 [details] [review]
Bug 30719: QA follow-up: DB updates

updates to atomicupdate and kohastructure.sql
Comment 137 Tomás Cohen Arazi 2023-10-17 17:47:51 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 138 Fridolin Somers 2023-10-25 06:21:45 UTC
Enhancement not pushed to 23.05.x